# cppgenerator.h File Reference

`#include <string>`
`#include <map>`
`#include <vector>`
`#include <iostream>`
`#include "nedelements.h"`
`#include "cppexprgenerator.h"`
`#include "nedcompiler.h"`

Go to the source code of this file.

## Classes

class | NEDCppGenerator
| NEDC functionality: generates C++ code from a NED object tree. More...

## Functions

void | generateCpp (ostream &out, ostream &outh, NEDElement *node, NEDSymbolTable *symtab)